Supply intelligence

Generate recommendations from sales data and Channel3

POST
/api/v1/supply/recommendations/generate

Generate recommendations from sales data and Channel3.

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Query Parameters

merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Request Body

application/json

days?integer
Range7 <= value <= 120
Default30
include_pricing?boolean
Defaulttrue
max_recommendations?integer
Range1 <= value <= 6
Default4

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/supply/recommendations/generate" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {},  "meta": {},  "success": true}